package com.mortals.xhx.module.flowable.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:FlowableDefinition
* date: 2021-8-3 9:38:52
*/
public class FlowableDefinitionQuery extends FlowableDefinitionEntity{
    private static final long serialVersionUID = 1627954732550L;
    /** 开始 ID,主键，自增长 */
    private Long idStart;

    /** 结束 ID,主键，自增长 */
    private Long idEnd;

    /** 增加 ID,主键，自增长 */
    private Long idIncrement;

    /** ID,主键，自增长 */
    private List <Long> idList;


    /** 流程编号 */
    private List<String> deploymentIdList;

    /** 流程标识 */
    private List<String> keyList;

    /** 流程分类 */
    private List<String> categoryList;
    /** 开始 挂载表单 */
    private Long formIdStart;

    /** 结束 挂载表单 */
    private Long formIdEnd;

    /** 增加 挂载表单 */
    private Long formIdIncrement;

    /** 挂载表单 */
    private List <Long> formIdList;


    /** 配置表单名称 */
    private List<String> formNameList;

    /** 流程版本 */
    private List<String> versionList;

    /** 开始 状态 */
    private Integer suspensionStateStart;

    /** 结束 状态 */
    private Integer suspensionStateEnd;

    /** 增加 状态 */
    private Integer suspensionStateIncrement;

    /** 状态 */
    private List <Integer> suspensionStateList;
    /** 开始 部署时间 */
    private String deploymentTimeStart;

    /** 结束 部署时间 */
    private String deploymentTimeEnd;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户,登录名 */
    private List<String> createUserList;
    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID */
    private List <Long> createUserIdList;


    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FlowableDefinitionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FlowableDefinitionQuery> andConditionList;


    public FlowableDefinitionQuery(){
    }

    /**
    * 获取 开始 ID,主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 ID,主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 ID,主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 ID,主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 ID,主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 ID,主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 ID,主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 ID,主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 流程编号
    * @return deploymentIdList
    */
    public List<String> getDeploymentIdList(){
        return this.deploymentIdList;
    }

    /**
    * 设置 流程编号
    * @param deploymentIdList
    */
    public void setDeploymentIdList(List<String> deploymentIdList){
        this.deploymentIdList = deploymentIdList;
    }
    /**
    * 获取 流程标识
    * @return keyList
    */
    public List<String> getKeyList(){
        return this.keyList;
    }

    /**
    * 设置 流程标识
    * @param keyList
    */
    public void setKeyList(List<String> keyList){
        this.keyList = keyList;
    }
    /**
    * 获取 流程分类
    * @return categoryList
    */
    public List<String> getCategoryList(){
        return this.categoryList;
    }

    /**
    * 设置 流程分类
    * @param categoryList
    */
    public void setCategoryList(List<String> categoryList){
        this.categoryList = categoryList;
    }
    /**
    * 获取 开始 挂载表单
    * @return formIdStart
    */
    public Long getFormIdStart(){
    return this.formIdStart;
    }

    /**
    * 设置 开始 挂载表单
    * @param formIdStart
    */
    public void setFormIdStart(Long formIdStart){
    this.formIdStart = formIdStart;
    }

    /**
    * 获取 结束 挂载表单
    * @return formIdEnd
    */
    public Long getFormIdEnd(){
    return this.formIdEnd;
    }

    /**
    * 设置 结束 挂载表单
    * @param formIdEnd
    */
    public void setFormIdEnd(Long formIdEnd){
    this.formIdEnd = formIdEnd;
    }

    /**
    * 获取 增加 挂载表单
    * @return formIdIncrement
    */
    public Long getFormIdIncrement(){
    return this.formIdIncrement;
    }

    /**
    * 设置 增加 挂载表单
    * @param formIdIncrement
    */
    public void setFormIdIncrement(Long formIdIncrement){
    this.formIdIncrement = formIdIncrement;
    }

    /**
    * 获取 挂载表单
    * @return formIdList
    */
    public List<Long> getFormIdList(){
    return this.formIdList;
    }

    /**
    * 设置 挂载表单
    * @param formIdList
    */
    public void setFormIdList(List<Long> formIdList){
        this.formIdList = formIdList;
        }
    /**
    * 获取 配置表单名称
    * @return formNameList
    */
    public List<String> getFormNameList(){
        return this.formNameList;
    }

    /**
    * 设置 配置表单名称
    * @param formNameList
    */
    public void setFormNameList(List<String> formNameList){
        this.formNameList = formNameList;
    }
    /**
    * 获取 流程版本
    * @return versionList
    */
    public List<String> getVersionList(){
        return this.versionList;
    }

    /**
    * 设置 流程版本
    * @param versionList
    */
    public void setVersionList(List<String> versionList){
        this.versionList = versionList;
    }
    /**
    * 获取 开始 状态
    * @return suspensionStateStart
    */
    public Integer getSuspensionStateStart(){
        return this.suspensionStateStart;
    }

    /**
    * 设置 开始 状态
    * @param suspensionStateStart
    */
    public void setSuspensionStateStart(Integer suspensionStateStart){
        this.suspensionStateStart = suspensionStateStart;
    }

    /**
    * 获取 结束 状态
    * @return suspensionStateEnd
    */
    public Integer getSuspensionStateEnd(){
        return this.suspensionStateEnd;
    }

    /**
    * 设置 结束 状态
    * @param suspensionStateEnd
    */
    public void setSuspensionStateEnd(Integer suspensionStateEnd){
        this.suspensionStateEnd = suspensionStateEnd;
    }

    /**
    * 获取 增加 状态
    * @return suspensionStateIncrement
    */
    public Integer getSuspensionStateIncrement(){
        return this.suspensionStateIncrement;
    }

    /**
    * 设置 增加 状态
    * @param suspensionStateIncrement
    */
    public void setSuspensionStateIncrement(Integer suspensionStateIncrement){
        this.suspensionStateIncrement = suspensionStateIncrement;
    }

    /**
    * 获取 状态
    * @return suspensionStateList
    */
    public List<Integer> getSuspensionStateList(){
        return this.suspensionStateList;
    }

    /**
    * 设置 状态
    * @param suspensionStateList
    */
    public void setSuspensionStateList(List<Integer> suspensionStateList){
        this.suspensionStateList = suspensionStateList;
    }
    /**
    * 获取 开始 部署时间
    * @return deploymentTimeStart
    */
    public String getDeploymentTimeStart(){
    return this.deploymentTimeStart;
    }

    /**
    * 设置 开始 部署时间
    * @param deploymentTimeStart
    */
    public void setDeploymentTimeStart(String deploymentTimeStart){
    this.deploymentTimeStart = deploymentTimeStart;
    }

    /**
    * 获取 结束 部署时间
    * @return deploymentTimeEnd
    */
    public String getDeploymentTimeEnd(){
    return this.deploymentTimeEnd;
    }

    /**
    * 设置 结束 部署时间
    * @param deploymentTimeEnd
    */
    public void setDeploymentTimeEnd(String deploymentTimeEnd){
    this.deploymentTimeEnd = deploymentTimeEnd;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户,登录名
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户,登录名
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }
    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
    return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
    this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
    return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
    this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
    return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
    this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
    return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FlowableDefinitionQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<FlowableDefinitionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FlowableDefinitionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<FlowableDefinitionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}